- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends

# QWSWindow Class Reference

Search for all occurrences

## Detailed Description

Definition at line 94 of file qwindowsystem_qws.h.

`#include <qwindowsystem_qws.h>`

List of all members.

## Public Types
enum | State { NoState, Hidden, Showing, Visible, Hiding, Raising, Lowering, Moving, ChangingGeometry, Destroyed }
## Public Member Functions
| QWSWindow (int i, QWSClient *client)
| ~QWSWindow ()
int | winId () const
const QString & | name () const
const QString & | caption () const
QWSClient * | client () const
const QRegion & | requestedRegion () const
QRegion | allocatedRegion () const
QRegion | paintedRegion () const
bool | isVisible () const
bool | isPartiallyObscured () const
bool | isFullyObscured () const
State | state () const
Qt::WindowFlags | windowFlags () const
QRegion | dirtyOnScreen () const
void | raise ()
void | lower ()
void | show ()
void | hide ()
void | setActiveWindow ()
bool | isOpaque () const
uint | opacity () const
QWSWindowSurface * | windowSurface () const
## Friends
class | QWSServer
class | QWSServerPrivate

## Member Enumeration Documentation

enum State

Search for all occurrences

Enumerator:

  NoState | Search for all occurrences
  Hidden | Search for all occurrences
  Showing | Search for all occurrences
  Visible | Search for all occurrences
  Hiding | Search for all occurrences
  Raising | Search for all occurrences
  Lowering | Search for all occurrences
  Moving | Search for all occurrences
  ChangingGeometry | Search for all occurrences
  Destroyed | Search for all occurrences

Definition at line 114 of file qwindowsystem_qws.h.

    { NoState, Hidden, Showing, Visible, Hiding, Raising, Lowering, Moving, ChangingGeometry, Destroyed };

## Constructor & Destructor Documentation

QWSWindow | ( | int | i,
|  | QWSClient * | client
| ) |  |

~QWSWindow | ( |  | ) |

## Member Function Documentation

int winId | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 103 of file qwindowsystem_qws.h.

    { return id; }

const QString& name | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 104 of file qwindowsystem_qws.h.

    { return rgnName; }

const QString& caption | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 105 of file qwindowsystem_qws.h.

    { return rgnCaption; }

QWSClient* client | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 106 of file qwindowsystem_qws.h.

    { return c; }

const QRegion& requestedRegion | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 107 of file qwindowsystem_qws.h.

    { return requested_region; }

QRegion allocatedRegion | ( |  | ) | const

Search for all occurrences

QRegion paintedRegion | ( |  | ) | const

Search for all occurrences

bool isVisible | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 110 of file qwindowsystem_qws.h.

    { return !requested_region.isEmpty(); }

bool isPartiallyObscured | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 111 of file qwindowsystem_qws.h.

    { return requested_region != allocatedRegion(); }

bool isFullyObscured | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 112 of file qwindowsystem_qws.h.

    { return allocatedRegion().isEmpty(); }

State state | ( |  | ) | const

Search for all occurrences

Qt::WindowFlags windowFlags | ( |  | ) | const

Search for all occurrences

QRegion dirtyOnScreen | ( |  | ) | const

Search for all occurrences

void raise | ( |  | ) |

Search for all occurrences

void lower | ( |  | ) |

Search for all occurrences

void show | ( |  | ) |

Search for all occurrences

void hide | ( |  | ) |

Search for all occurrences

void setActiveWindow | ( |  | ) |

Search for all occurrences

bool isOpaque | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 125 of file qwindowsystem_qws.h.

    {return opaque && _opacity == 255;}

uint opacity | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 126 of file qwindowsystem_qws.h.

    { return _opacity; }

QWSWindowSurface* windowSurface | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 128 of file qwindowsystem_qws.h.

    { return surface; }

## Friends And Related Function Documentation

friend class QWSServer `[friend]`

Search for all occurrences

Definition at line 96 of file qwindowsystem_qws.h.

friend class QWSServerPrivate `[friend]`

Search for all occurrences

Definition at line 97 of file qwindowsystem_qws.h.

The documentation for this class was generated from the following file:

- QtGui/qwindowsystem_qws.h

QWSWindow QWSWindow QWSWindow QWSWindow QWSWindow QWSWindow QWSWindow QWSWindow QWSWindow QWSWindow
QWSWindow QWSWindow QWSWindow QWSWindow QWSWindow QWSWindow QWSWindow QWSWindow QWSWindow QWSWindow